#
# spec file for package pcsc-cyberjack (Version 2.0.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcsc-lite pcsc-lite-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pcsc-cyberjack
BuildRequires:  pcsc-lite-devel pkgconfig readline-devel
Version:        2.0.10
Release:        14.2
Provides:       locale(MozillaFirefox:de_BE;en_BE;fr_BE;nl_BE;wa_BE)
Group:          System/Libraries
License:        LGPL
URL:            http://www.reiner-sct.de/support/treiber_cyberjack.php
Summary:        PC/SC IFD Handler for the Reiner SCT Cyberjack USB-SmartCard Reader
Source0:        ctapi-cyberjack-%{version}.tar.bz2
Patch0:         ctapi-cyberjack-%{version}-return.diff
Patch1:         ctapi-cyberjack-%{version}-uninitialized.diff
Patch2:         ctapi-cyberjack-%{version}-make.patch
Patch3:         ctapi-cyberjack-%{version}-rpath.patch
Patch4:         ctapi-cyberjack-%{version}-libso.patch
Patch5:         ctapi-cyberjack-2.0.10.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define ifddir %{_libdir}/readers
%debug_package
%package -n ctapi-cyberjack
Group:          System/Libraries
Summary:        CT-API and tools for Reiner SCT Cyberjack USB-SmartCard Reader
Requires:       libusb
# Modules: cyberjack.ko
Supplements: modalias(usb:v0C4Bp0100d*dc*dsc*dp*ic*isc*ip*)
# Generated with: extract-modaliases -i cyberjack kernel-default.rpm

%description
This package includes the PC/SC IFD handler for the Reiner SCT
Cyberjack pinpad/e-com USB chipcard reader. The driver is meant to be
used with the PCSC-Lite daemon from the pcsc-lite package.

The kernel side driver is included in the official Linux Kernel
starting with version 2.4.6.

For more information about the reader and software updates see:

http://www.reiner-sct.de/db/reiner-sct.de/html/e-com.html
http://www.reiner-sct.de/db/reiner-sct.de/html/pinpad.html



Authors:
--------
    Matthias Bruestle <m@mbsks.franken.de>


%description -n ctapi-cyberjack
REINER SCT Cyberjack pinpad/e-com USB user space driver. This package
includes the CT-API driver for the Cyberjack pinpad/e-com USB chipcard
reader and some tools as a simple CT shell around it.

For more information about the reader, software updates, and more see:

http://www.reiner-sct.de/db/reiner-sct.de/html/e-com.html
http://www.reiner-sct.de/db/reiner-sct.de/html/pinpad.html



Authors:
--------
    Matthias Bruestle <m@mbsks.franken.de>

%prep
%setup -q -n ctapi-cyberjack-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
make all COPTS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing" RPATH="-Wl,-rpath -Wl,%{ifddir}"

%install
install -d $RPM_BUILD_ROOT%{ifddir}
# cyberjack
cp -r pcsc/ifd-cyberjack.bundle/ $RPM_BUILD_ROOT%{ifddir}/
rm $RPM_BUILD_ROOT%{ifddir}/ifd-cyberjack.bundle/Contents/PkgInfo
# Now we want cyberjack's CT-API stuff
install -m 755 ctapi/libctapi-cyberjack.so $RPM_BUILD_ROOT%{ifddir}/libctapi-cyberjack.so.%{version}
( cd $RPM_BUILD_ROOT%{ifddir}; ln -s libctapi-cyberjack.so.%{version} libctapi-cyberjack.so )
( cd $RPM_BUILD_ROOT%{ifddir}; ln -s libctapi-cyberjack.so libctapi.so )
install -d $RPM_BUILD_ROOT%{_bindir}/
install -d $RPM_BUILD_ROOT%{_includedir}/
install -m 644 ctapi/include/ctapi.h $RPM_BUILD_ROOT%{_includedir}/ctapi.h
install -m 755 tools/cjgeldkarte $RPM_BUILD_ROOT%{_bindir}/
install -m 755 tools/ctsh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 tools/ctpin $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.GPL COPYRIGHT.LGPL
%dir %{ifddir}
%{ifddir}/ifd-cyberjack.bundle

%files -n ctapi-cyberjack
%defattr(-,root,root,755)
%doc COPYRIGHT.GPL COPYRIGHT.LGPL doc/README.* tools/ctshrc.example
%dir %{ifddir}
%{ifddir}/*so*
%{_includedir}/*
%{_bindir}/*

%changelog -n pcsc-cyberjack
* Sat May 06 2006 - kukuk@suse.de
- Fix inclusion of kernel headers
* Sun Apr 02 2006 - sndirsch@suse.de
- added missing locale provides (Bug #161867)
* Mon Mar 27 2006 - schwab@suse.de
- Fix building of shared libs.
* Wed Mar 08 2006 - agruen@suse.de
- Add modalias tags (155357).
* Thu Mar 02 2006 - stark@suse.de
- update to version 2.0.10
  * version 2.0.9 almost crashed everytime accessing the reader
  * added wrapper/Extension code to libusb-0.1 to support
  asynchronous requests
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - stark@suse.de
- fixed file modes of executables
* Wed Jan 04 2006 - stark@suse.de
- readded rpath and make options patches
* Tue Jan 03 2006 - mjancar@suse.cz
- move to separate source package
* Mon Jan 02 2006 - stark@suse.de
- removed obsolete hotplug stuff for cyberjack
- Updated pcsc-lite to version 1.2.9-beta9
- Updated CCID driver to 0.9.4
- Updated GemPC driver to 1.0.0
- package pkgconfig files to be able to build drivers outside
  the package
* Tue Dec 20 2005 - ro@suse.de
- removed unpackaged man-page symlinks
* Tue Nov 29 2005 - ro@suse.de
- remove keeper from nfb (unused)
* Mon Oct 10 2005 - stark@suse.de
- Updated towitoko driver to 2.0.7 and install USB bundle
* Wed Sep 21 2005 - stark@suse.de
- Repackaged CCID as bundle for USB usage (#116497)
* Tue Sep 20 2005 - stark@suse.de
- handle old reader.conf in upgrade case
- compile with -fno-strict-aliasing
- fixed missing return in ctapi-cyberjack
* Sat Sep 17 2005 - stark@suse.de
- Updated pcsc-lite to version 1.2.9beta8 (#116497)
  * use /etc/reader.conf.d/
  * adapted init script to create /etc/reader.conf
- Updated cyberjack driver to version 2.0.9
  * use rpath for cyberjack tools
- Updated ccid driver to version 0.9.3 (#116497)
- Use RPM_OPT_FLAGS everywhere
- Fixed serious compiler warnings
* Mon Sep 05 2005 - skh@suse.de
- fix off-by-one error in hotplug_libusb.c [#112964]
* Mon Aug 29 2005 - skh@suse.de
- Remove unnecessary files from pcsc-acr38 again [#112927]
* Mon Aug 29 2005 - skh@suse.de
- package ACR38 driver in correct bundle format [#112927]
- remove orphaned /var/run/pcscd.pub when necessary [#112928]
- update ACR38u driver to version 100705 to fix crash when reader
  is plugged in [#112964]
* Tue Aug 16 2005 - skh@suse.de
- Updated ACR38u driver to version 100703
* Tue Jul 26 2005 - okir@suse.de
- Added ACR38u driver
* Tue Jul 26 2005 - okir@suse.de
- Updated description in init script (#79287)
* Thu Jun 16 2005 - meissner@suse.de
- use RPM_OPT_FLAGS in 1 more driver
- added includes to avoid implict declaration of memcpy and similar.
* Mon Apr 18 2005 - ro@suse.de
- make it build with gcc-4
* Thu Mar 17 2005 - okir@suse.de
- Disable support for extended-apdus, it eats 32MB of memory (#73629)
* Thu Mar 10 2005 - okir@suse.de
- Fix default search location for USB bundles
* Fri Jan 21 2005 - okir@suse.de
- Updated to latest upstream version
- Updated several drivers
- Added CCID driver
- Provide a more informative readers.conf file (#42620)
* Thu Jan 20 2005 - ro@suse.de
- drop subpackage gpr400
* Wed Apr 28 2004 - ro@suse.de
- compile formaticc with no-strict-aliasing
- fix unused return type in musclecard.c
* Wed Mar 31 2004 - okir@suse.de
- Properly install testpcsc, formaticc (#37625)
- Build towitoko driver with --enable-win32-com
* Thu Mar 18 2004 - okir@suse.de
- cyberjack apps installed in /bin should be executable (#36409)
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Aug 05 2003 - mge@suse.de
- merge ctapi-cyberjack into pcsc-lite: two additional
  packages are created: ctapi-cyberjack and pcsc-cyberjack
* Thu Jun 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
- added directories to filelist
* Fri Nov 29 2002 - okir@suse.de
- added -fPIC when building eToken driver
* Fri Nov 29 2002 - okir@suse.de
- Updated to latest upstream version
- Included driver for Aladdin eToken PRO
- More GNU auto#*@! headaches
- Various minor fixes
* Wed Aug 28 2002 - okir@suse.de
- Moved shared objects to /usr/lib64 on ppc64/s390x (#18421)
* Mon Aug 05 2002 - olh@suse.de
- fix initscript, Should-start: setserial hotplug
* Fri Aug 02 2002 - okir@suse.de
- added PreReq for insserv_and_fillup
* Wed Jul 31 2002 - okir@suse.de
- fixed build problem on s390x (force aclocal.m4 regen)
* Wed Jun 26 2002 - ro@suse.de
- use -fPIC when building a shared lib
* Wed Jun 12 2002 - okir@suse.de
- fix for bug #15051 (hey, it's a palindrome bug:):
  missing %%doc DRIVERS file; misc silly binaries moved
  out of /usr/bin
* Tue Apr 30 2002 - okir@suse.de
- Fixed build problem introduced by previous patch
* Tue Apr 30 2002 - okir@suse.de
- updated to latest upstream version
- added drivers for these readers: Towitoko, Schlumberger Reflex 6x,
  Gemplus GPR 400, GemPlus GemPC 410/430
* Tue Apr 09 2002 - ro@suse.de
- fixed for latest automake/autoconf
* Wed Feb 13 2002 - stark@suse.de
- spec-file cleanup
- LSB compliant init-script
* Mon Jan 14 2002 - ro@suse.de
- removed START_PCSCD
* Wed Nov 14 2001 - ro@suse.de
- call aclocal
* Sun Aug 26 2001 - mge@suse.de
- updated to 1.0.0Beta
- fixed /etc/init.d/pcscd status-handling (bug #9069)
* Thu Jun 07 2001 - ro@suse.de
- fix broken Makefile.am
* Mon Apr 23 2001 - mge@suse.de
- update to 0.9.1
* Thu Apr 19 2001 - mge@suse.de
- created package
